Package org.apache.storm.container.oci

## Enum OciContainerManager.CmdType

- java.lang.Object
- - java.lang.Enum<OciContainerManager.CmdType>
  - - org.apache.storm.container.oci.OciContainerManager.CmdType

- All Implemented Interfaces:
    `Serializable`, `Comparable<OciContainerManager.CmdType>`
  Enclosing class:
    OciContainerManager

      protected static enum OciContainerManager.CmdType
      extends Enum<OciContainerManager.CmdType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LAUNCH_DOCKER_CONTAINER` |
    `PROFILE_DOCKER_CONTAINER` |
    `PROFILE_OCI_CONTAINER` |
    `REAP_OCI_CONTAINER` |
    `RUN_DOCKER_CMD` |
    `RUN_OCI_CONTAINER` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static OciContainerManager.CmdType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static OciContainerManager.CmdType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAUNCH_DOCKER_CONTAINER

          public static final OciContainerManager.CmdType LAUNCH_DOCKER_CONTAINER

    - #### RUN_DOCKER_CMD

          public static final OciContainerManager.CmdType RUN_DOCKER_CMD

    - #### PROFILE_DOCKER_CONTAINER

          public static final OciContainerManager.CmdType PROFILE_DOCKER_CONTAINER

    - #### RUN_OCI_CONTAINER

          public static final OciContainerManager.CmdType RUN_OCI_CONTAINER

    - #### REAP_OCI_CONTAINER

          public static final OciContainerManager.CmdType REAP_OCI_CONTAINER

    - #### PROFILE_OCI_CONTAINER

          public static final OciContainerManager.CmdType PROFILE_OCI_CONTAINER

  - ### Method Detail

    - #### values

          public static OciContainerManager.CmdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OciContainerManager.CmdType c : OciContainerManager.CmdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OciContainerManager.CmdType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<OciContainerManager.CmdType>`